/* footer.css 
	T4.5 footer.asp styles
	April 2026 by CuR
*/

:root {
	--clr-brand-zionesport: #f6673d;
}

/* || Footer Navigation */

.footer {
	--clr-text-footer: var(--clr-text-util-bar);
	--clr-surface-footer: var(--clr-surface-util-bar);
	
	background: var(--clr-surface-footer);
	border-top: 1px solid hsl(var(--border-color));
	margin-top: 3.75rem;
}

.footer__content {
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(min(20rem, 100%), 1fr));
	gap: 1rem;
	align-items: stretch;
	color: hsl(var(--clr-text-footer) / 0.6);
	font-size: var(--fs-small);
	padding-block: 1.5rem;
}

.footer__col {
	display: flex;
	flex-direction: column;
	justify-content: center;
	gap: .25rem;
}

.footer__col:last-child {
	justify-self: end;
}

.footer__row {
	display: flex;
	align-items: center;
	gap: .25rem;
	flex-wrap: wrap;
}

@container main (width < 43rem) {
	.footer__col { align-items: center;}
	.footer__col:last-child { justify-self: unset; }
}

.footer__content a {
	text-decoration: none;
	color: inherit;
	font-weight: var(--fw-bolder);
}

.footer__content a:hover {
	color: hsl(var(--clr-text-footer) / 1);
}

.footer__content .zionesport-svg-logo {
	height: 1.8rem;
}

.footer__content .zionesport-svg-logo__icon,
.footer__content .zionesport-svg-logo__zione {
	fill: hsl(var(--clr-text-footer));
	opacity: .45;
}

.footer__content .zionesport-svg-logo__sport {
	fill: var(--clr-brand-zionesport);
}